Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core.pattern
Interface PatternConverter

All Known Subinterfaces:
  ArrayPatternConverter

All Known Implementing Classes:
  AbstractPatternConverter, AbstractStyleNameConverter, AbstractStyleNameConverter.Black, AbstractStyleNameConverter.Blue, AbstractStyleNameConverter.Cyan, AbstractStyleNameConverter.Green, AbstractStyleNameConverter.Magenta, AbstractStyleNameConverter.Red, AbstractStyleNameConverter.White, AbstractStyleNameConverter.Yellow, ClassNamePatternConverter, DatePatternConverter, EncodingPatternConverter, ExtendedThrowablePatternConverter, FileLocationPatternConverter, FullLocationPatternConverter, HighlightConverter, IntegerPatternConverter, LevelPatternConverter, LineLocationPatternConverter, LineSeparatorPatternConverter, LiteralPatternConverter, LogEventPatternConverter, LoggerPatternConverter, MapPatternConverter, MarkerPatternConverter, MdcPatternConverter, MessagePatternConverter, MethodLocationPatternConverter, NamePatternConverter, NdcPatternConverter, RegexReplacementConverter, RelativeTimePatternConverter, RootThrowablePatternConverter, SequenceNumberPatternConverter, StyleConverter, ThreadPatternConverter, ThrowablePatternConverter, UuidPatternConverter

    public interface PatternConverter

Interface that all PatternConverters must implement.

Field Summary
`static String` | `CATEGORY` Main plugin category for PatternConverter plugins.

Method Summary
`void` | `format(Object obj, StringBuilder toAppendTo)` Formats an object into a string buffer.
`String` | `getName()` Returns the name of the converter.
`String` | `getStyleClass(Object e)` This method returns the CSS style class that should be applied to the LoggingEvent passed as parameter, which can be null.

Field Detail

### CATEGORY

    static final String CATEGORY

  Main plugin category for PatternConverter plugins.

  Since:
    2.1
  See Also:
    Constant Field Values

Method Detail

### format

    void format(Object obj,
                StringBuilder toAppendTo)

  Formats an object into a string buffer.

  Parameters:
    `obj` - event to format, may not be null.
    `toAppendTo` - string buffer to which the formatted event will be appended. May not be null.

### getName

    String getName()

  Returns the name of the converter.

  Returns:
    The name of the converter.

### getStyleClass

    String getStyleClass(Object e)

  This method returns the CSS style class that should be applied to the LoggingEvent passed as parameter, which can be null.

  Parameters:
    `e` - null values are accepted
  Returns:
    the name of the conversion pattern

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.